#include "pincharea.h"
#include "gestureevent.h"

PinchArea::PinchArea(QDeclarativeItem *parent) :
    GestureArea(parent, Pinch)
{
}

bool PinchArea::isGestureEventHandled(GestureEvent &event)
{
    GeisFloat radius = event.getAttributes().value(GEIS_GESTURE_ATTRIBUTE_RADIUS).toFloat();

    _radius.set(radius);

    return (superIsGestureEventHandled(event) ||
            _radius.receivers(SIGNAL(originalChanged())) > 0 ||
            _radius.receivers(SIGNAL(currentChanged())) > 0);
}

void PinchArea::handleGestureUpdateEvent(GestureEvent &event, bool end)
{
    GeisFloat radius = event.getAttributes().value(GEIS_GESTURE_ATTRIBUTE_RADIUS).toFloat();

    _radius.update(radius);

    return superHandleGestureUpdateEvent(event, end);
}
