#ifndef PINCHAREA_H
#define PINCHAREA_H

#include "gesturearea.h"

#include <geis/geis.h>

/**
 * An input-only item for receiving non-instantaneous pinch gesture events.
 */

class PinchArea : public GestureArea
{
    Q_OBJECT
    Q_DISABLE_COPY(PinchArea)

    /**
     * This property holds the average radius of the touches.
     */
    Q_PROPERTY(GestureProperty *radius READ getRadius CONSTANT)

public:
    explicit PinchArea(QDeclarativeItem *parent = 0);

    GestureProperty *getRadius() { return &_radius; };

    bool isGestureEventHandled(GestureEvent &event);
    void handleGestureUpdateEvent(GestureEvent &event, bool);

private:
    GestureProperty _radius;
};

QML_DECLARE_TYPE(PinchArea)

#endif // PINCHAREA_H
