#include "rotatearea.h"
#include "gestureevent.h"

RotateArea::RotateArea(QDeclarativeItem *parent) :
    GestureArea(parent, Rotate)
{
}

bool RotateArea::isGestureEventHandled(GestureEvent &event)
{
    GeisFloat angle = event.getAttributes().value(GEIS_GESTURE_ATTRIBUTE_ANGLE).toFloat();

    _angle.set(angle);

    return (superIsGestureEventHandled(event) ||
            _angle.receivers(SIGNAL(originalChanged())) > 0 ||
            _angle.receivers(SIGNAL(currentChanged())) > 0);
}

void RotateArea::handleGestureUpdateEvent(GestureEvent &event, bool end)
{
    GeisFloat angle = event.getAttributes().value(GEIS_GESTURE_ATTRIBUTE_ANGLE).toFloat();

    _angle.update(angle);

    return superHandleGestureUpdateEvent(event, end);
}
