#ifndef ROTATEAREA_H
#define ROTATEAREA_H

#include "gesturearea.h"

#include <geis/geis.h>

/**
 * An input-only item for receiving non-instantaneous rotate gesture events.
 */

class RotateArea : public GestureArea
{
    Q_OBJECT
    Q_DISABLE_COPY(RotateArea)

    /**
     * This property holds the rotation angle of the touches.
     */
    Q_PROPERTY(GestureProperty *angle READ getAngle CONSTANT)

public:
    explicit RotateArea(QDeclarativeItem *parent = 0);

    GestureProperty *getAngle() { return &_angle; };

    bool isGestureEventHandled(GestureEvent &event);
    void handleGestureUpdateEvent(GestureEvent &event, bool);

private:
    GestureProperty _angle;
};

QML_DECLARE_TYPE(RotateArea)

#endif // ROTATEAREA_H
